You are not logged in.

#1 2007-09-24 04:02:21

penguinstarship
Member
Registered: 2006-10-10
Posts: 52

Trouble installing a great program!

I've found a great app http://thelastripper.com/, for those of you who dig last.fm, this is one killer app. I can't seem to get it to ./configure. Here's my output

[tux@lovely thelastripper-1.1.1]$ ./configure 
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... no
configure: error: You need to install pkg-config

I'm used to Arch's simple package installation via pacman and I just can't seem to get this to  ./configure. I've checked the repos for pkg-config but it's not in there, so I compiled and installed it it, but still a no go, anyone have any idea what's up?

Offline

#2 2007-09-24 04:11:05

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,395
Website

Re: Trouble installing a great program!

As the error says, you need to install pkgconfig (pacman -S pkgconfig).

There is a package for this in AUR.  You should really read the relevant wiki pages and learn how to use it.  I'm sure any problems you have will be answered here.

Offline

#3 2007-09-24 17:05:30

penguinstarship
Member
Registered: 2006-10-10
Posts: 52

Re: Trouble installing a great program!

Thank you for letting me know, I've found it in the AUR and installed it correctly and now this is the error I receive from running it from a terminal

[tux@lovely ~]$ thelastripper 

(TheLastRipper:14789): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
Stacktrace:

  at (wrapper managed-to-native) Gdk.PixbufLoader.gdk_pixbuf_loader_write (intptr,byte[],uintptr,intptr&) <0x00004>
  at (wrapper managed-to-native) Gdk.PixbufLoader.gdk_pixbuf_loader_write (intptr,byte[],uintptr,intptr&) <0xffffffff>
  at Gdk.PixbufLoader.Write (byte[],ulong) <0x0003f>
  at Gdk.PixbufLoader.Write (byte[],uint) <0x00014>
  at Gdk.PixbufLoader.LoadFromStream (System.IO.Stream) <0x00031>
  at Gdk.PixbufLoader.InitFromAssemblyResource (System.Reflection.Assembly,string) <0x00034>
  at Gdk.PixbufLoader..ctor (System.Reflection.Assembly,string) <0x00041>
  at Gdk.Pixbuf..ctor (System.Reflection.Assembly,string) <0x00046>
  at Gdk.Pixbuf.LoadFromResource (string) <0x00027>
  at Stetic.Gui.Build (object,string) <0x0385d>
  at Stetic.Gui.Build (object,System.Type) <0x0001d>
  at MainWindow..ctor () <0x0004d>
  at MonoClient.MainClass.Main (string[]) <0x0001e>
  at (wrapper runtime-invoke) MonoClient.MainClass.runtime_invoke_void_string[] (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        mono [0x8174fe4]
        mono [0x8140632]
        [0xb7fe2440]
        /usr/lib/librsvg-2.so.2 [0xb69d4176]
        /usr/lib/librsvg-2.so.2 [0xb69d487f]
        /usr/lib/librsvg-2.so.2 [0xb69d0862]
        /usr/lib/librsvg-2.so.2 [0xb69d7e2d]
        /usr/lib/librsvg-2.so.2 [0xb69da1c9]
        /usr/lib/librsvg-2.so.2 [0xb69dab8b]
        /usr/lib/libxml2.so.2(xmlParseStartTag+0x47b) [0xb6860d0b]
        /usr/lib/libxml2.so.2(xmlParseChunk+0x10ed) [0xb6868cfd]
        /usr/lib/librsvg-2.so.2 [0xb69d8f36]
        /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so [0xb7188a60]
        /usr/lib/libgdk_pixbuf-2.0.so.0 [0xb6e2fae1]
        /usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_loader_write+0x18d) [0xb6e306cd]
        [0xb69f78f3]
        [0xb69f7850]
        [0xb69f774d]
        [0xb69f74a2]
        [0xb6a20595]
        [0xb6a20462]
        [0xb6a203a7]
        [0xb6a202b0]
        [0xb6a17fc6]
        [0xb6a137fe]
        [0xb7aefb5e]
        [0xb7ae5677]
        [0xb7ae4f0b]
        mono(mono_runtime_exec_main+0xbb) [0x80a231b]
        mono(mono_runtime_run_main+0x172) [0x80a2612]
        mono(mono_main+0x701) [0x805a471]
        mono [0x8059862]
        /lib/libc.so.6(__libc_start_main+0xe0) [0xb7dc5f90]
        mono [0x80597d1]

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted

Does anyone know what might be causing this error?

Offline

#4 2007-09-25 00:44:11

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,395
Website

Re: Trouble installing a great program!

The warning at the start tells me you do you have you locale set up properly.  See http://wiki.archlinux.org/index.php/Locale .  I'm not sure it that will fix the issue or not though.

Offline

#5 2007-09-26 20:20:41

penguinstarship
Member
Registered: 2006-10-10
Posts: 52

Re: Trouble installing a great program!

Thanks for the reply, I took care of the locales, but as you said that didn't fix the issue. Anyone else have any ideas?

Offline

#6 2007-09-26 20:36:41

Sigi
Member
From: Thurgau, Switzerland
Registered: 2005-09-22
Posts: 1,121

Re: Trouble installing a great program!


Dammit, haven't been here in a while. Still rocking Arch. smile

Offline

#7 2007-10-02 19:33:00

penguinstarship
Member
Registered: 2006-10-10
Posts: 52

Re: Trouble installing a great program!

Sigi, I know that!

"Thank you for letting me know, I've found it in the AUR and installed it correctly and now this is the error I receive from running it from a terminal" from my last post! What do you think I can do to remedy this?

Offline

Board footer

Powered by FluxBB